PT EN

Interrupções

URL base: $CONSUMER_API

O objecto

idstring · obrigatório
tenant_idstring · obrigatório
titlestring · obrigatório
interruption_typestring · obrigatório

um de maintenance, emergency, rationing

statusstring · obrigatório

um de planned, active, completed, cancelled

service_area_idstring · obrigatório
dma_idstring · opcional
descriptionstring · opcional
start_timestring (date-time) · obrigatório
end_timestring (date-time) · obrigatório
affected_customers_estinteger · opcional
created_atstring (date-time) · obrigatório
updated_atstring (date-time) · obrigatório
O objecto
{
  "id": "sup_2xVSEXVGkjH84PdmebPICxjIkZH",
  "tenant_id": "ten_2ugFXIC316WXzGu1HGal90AxTA6",
  "title": "Fuga na Rua 3",
  "interruption_type": "maintenance",
  "status": "planned",
  "service_area_id": "ser_23fmkpfkC17kSVJ2spjyiBbOED9",
  "dma_id": "dma_2gE3tiwbLQQnDGcrVkstPO8Bjkg",
  "description": "Leitura confirmada no local.",
  "start_time": "2026-11-19T09:30:00Z",
  "end_time": "2026-11-19T09:30:00Z",
  "affected_customers_est": 1,
  "created_at": "2026-11-19T09:30:00Z",
  "updated_at": "2026-11-19T09:30:00Z"
}

Listar interrupções

Registos

GET /interruptions

Planned or active interruptions affecting the service areas of the caller's accounts

An account's areas are derived from the reading routes covering its meters and from service areas named like the property's locality or district. Finished interruptions are omitted.

Parâmetros

limitinteger · consulta · opcional

Maximum resources to return (default 20, maximum 100).

afterstring · consulta · opcional

Opaque cursor returned by the previous page.

X-Tenant-IDstring · cabeçalho · opcional

Narrow to one of the caller's tenants

Devolve

200 Interruptions

Mostrar atributos
dataarray of SupplyInterruption · opcional
Mostrar atributos filhos
idstring · obrigatório
tenant_idstring · obrigatório
titlestring · obrigatório
interruption_typestring · obrigatório

um de maintenance, emergency, rationing

statusstring · obrigatório

um de planned, active, completed, cancelled

service_area_idstring · obrigatório
dma_idstring · opcional
descriptionstring · opcional
start_timestring (date-time) · obrigatório
end_timestring (date-time) · obrigatório
affected_customers_estinteger · opcional
created_atstring (date-time) · obrigatório
updated_atstring (date-time) · obrigatório
has_moreboolean · opcional
next_cursorstring · opcional
curl -X GET "$CONSUMER_API/interruptions" \
  -H "Authorization: Bearer sk_test_..."
Resposta 200
{
  "data": [
    {
      "id": "sup_2xVSEXVGkjH84PdmebPICxjIkZH",
      "tenant_id": "ten_2ugFXIC316WXzGu1HGal90AxTA6",
      "title": "Fuga na Rua 3",
      "interruption_type": "maintenance",
      "status": "planned",
      "service_area_id": "ser_23fmkpfkC17kSVJ2spjyiBbOED9",
      "dma_id": "dma_2gE3tiwbLQQnDGcrVkstPO8Bjkg",
      "description": "Leitura confirmada no local.",
      "start_time": "2026-11-19T09:30:00Z",
      "end_time": "2026-11-19T09:30:00Z",
      "affected_customers_est": 1,
      "created_at": "2026-11-19T09:30:00Z",
      "updated_at": "2026-11-19T09:30:00Z"
    }
  ],
  "has_more": true,
  "next_cursor": "next cursor"
}